#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
typedef long double ld;
const ll  mn=200000+100;
int  main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    ll  n;
    cin>>n;
    vector<pair<ld,ll> > niz(n);
    for(ll  i=0;i<n;i++)
    {
        cin>>niz[i].second>>niz[i].first;
        niz[i].first/=(100.00);
    }
    sort(niz.begin(),niz.end());
    ll suma=0;
    for(ll  i=0;i<n;i++) suma+=niz[i].second;
    ld mn=suma*niz[0].first;
    for(ll  i=1;i<n;i++)
    {
        suma-=niz[i-1].second;
        mn=max(mn,suma*niz[i].first);
    }
    cout<<fixed<<showpoint<<setprecision(5)<<mn<<endl;
    return 0;
}